查询收入流水
curl --request GET \
--url https://bptest.mapleai.cc/api/open/finance/transactions \
--header 'Authorization: Bearer <token>'import requests
url = "https://bptest.mapleai.cc/api/open/finance/transactions"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://bptest.mapleai.cc/api/open/finance/transactions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": [
{
"id": "<string>",
"transaction_type": "tech",
"project_name": "<string>",
"category": "<string>",
"detail": "<string>",
"occurred_at": "2023-11-07T05:31:56Z",
"amount": "<string>",
"profit_amount": "<string>",
"status": "<string>",
"status_label": "<string>"
}
],
"total": 1,
"code": 0,
"message": "操作成功",
"timestamp": 123,
"page": 2,
"page_size": 2,
"total_pages": 1
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}对外收入 / Open Finance
查询收入流水
GET
/
api
/
open
/
finance
/
transactions
查询收入流水
curl --request GET \
--url https://bptest.mapleai.cc/api/open/finance/transactions \
--header 'Authorization: Bearer <token>'import requests
url = "https://bptest.mapleai.cc/api/open/finance/transactions"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://bptest.mapleai.cc/api/open/finance/transactions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": [
{
"id": "<string>",
"transaction_type": "tech",
"project_name": "<string>",
"category": "<string>",
"detail": "<string>",
"occurred_at": "2023-11-07T05:31:56Z",
"amount": "<string>",
"profit_amount": "<string>",
"status": "<string>",
"status_label": "<string>"
}
],
"total": 1,
"code": 0,
"message": "操作成功",
"timestamp": 123,
"page": 2,
"page_size": 2,
"total_pages": 1
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Available options:
all, tech, ecosystem Required range:
x >= 1Required range:
1 <= x <= 100Response
Successful Response
当前页的数据列表
Show child attributes
Show child attributes
总记录数
Required range:
x >= 0响应码,0表示成功,非0表示失败
响应消息
响应时间戳(可选)
当前页码
Required range:
x >= 1每页大小
Required range:
x >= 1总页数
Required range:
x >= 0